Dr.Web for Windows

Top Next

Dr.Web for Windows includes the following components:

· Dr.Web Scanner for Windows is an anti-virus scanner with a graphical interface. The program is launched at a user’s request, or as scheduled, and performs computer anti-virus scanning. There is also a program's version with a command line interface (Dr.Web Console Scanner for Windows).
· SpIDer Guard for Windows is an on-access anti-virus scanner (also called a monitor). It constantly resides in memory and scans files “on the fly”, instantly detecting any virus-like activity.
· SpIDer Mail for Windows workstations is an anti-virus mail scanner. The program intercepts requests of any mail clients to mail servers via POP3/SMTP/IMAP4/NNTP (IMAP4 stands for IMAPv4rev1) protocols, detects and neutralizes viruses spreading through e-mail before they are received by the mail client from the server, or before the message is sent to the mail server. Providing the Dr.Web application is licensed to (that is, the key file allows to) work in the "Anti-virus + anti-spam" mode, SpIDer Mail® uses the Vade Retro spam filter to scan mail for spam messages.This component is not included in Dr.Web for Windows servers.
· Dr.Web automatic updating utility for Windows allows registered users to receive updates of virus databases and Dr.Web program modules, and automatically installs them; for unregistered users, it allows to register or receive a demo key file.
· Dr.Web for workstations also includes the Scheduler for Windows and the Scanner for DOS.


Dr.Web System Requirements

Top Previous Next

The Scanner (the GUI-version and the console version for Windows), SpIDer Mail, as well as SpIDer Guard require a PC operated by Windows 95/98/Me or Windows NT/2000/XP/2003/Vista, note that SpIDer Guard can run under 32-bit systems only. All components can work under Windows 95 only starting from Windows 95 OSR2 (v.4.00.950B). You may also need to download and install certain system components from the Microsoft website. The program will notify you what components are required and give you direct links.

The DOS Scanner works under MS-DOS, or in the Windows command line mode.

The minimum program requirements match those for the respective OS's. However, SpIDer Guard® requires at least 32 Mb of RAM for proper operation. The computer should be equipped with at least Intel 80386.

All the critical updates recommended by the OS developer must be installed. If the version of the OS is not supported any longer, you should upgrade it.


License Key File

User’s rights to use the anti-virus are specified in the key file. The following information is contained in the key file:

list of anti-virus components licensed to the user
product license validity period
other restrictions (i.e. the number of protected PCs, etc.)

The key file has the .key extension and must be located in the installation folder by default.

The key file has a write-protected format and therefore cannot be edited. Editing invalidates the file. Therefore it is not recommended to open your key file with a text editor not to corrupt it incidentally .

A license key file is granted to the users who have purchased the anti-virus with Doctor Web’s certified partners. The parameters of the key file are specified according to the license the user has paid for. The license key file contains the user's name (or the company's name), and the name of the selling company.

For evaluation purposes there are also demo key files available. Demo key files allow to take advantage of the full functionality of the program and the virus signature updates, but have a limited term of use.

The key file can be supplied with the .key extension, or as a .zip archive containing the key file. It may also have the .dwz extension used by the Dr.Web programs to automatically install anti-virus package add-ons.

The key file can be obtained as follows:

Via the Internet during the final installation stage or when updating the program complex for the first time with the automatic updating utility. On the basis of a registration serial number entered by the user (the serial number is provided by a local distributor), the utility registers the program complex, receives and installs the key file generated during the registration. If no serial number is available, the user can receive a demo key file only.This procedure is applied with Dr.Web anti-virus for workstations only.
After registering the anti-virus at the Doctor Web, Ltd. website, the license key file is generated on the basis of the registration serial number received from a local distributor. If no serial number is available, the user can receive a demo key file only. The key file generated is sent by e-mail; it can also be downloaded from the registration page.
From the distribution kit, when included.
Sent over to a user by e-mail as an attachment with the .dwz extension. In that case the user should double-click the attachment icon to automatically install the key into the right location.
Supplied on a carrier as a file with the .key extension. The user should copy it into the Dr.Web installation folder manually.
Supplied as a .zip archive containing a file with the .key extension. The user should extract the key file using the respective archiving tool (WinZip or Pkunzip) into the Dr.Web installation folder.
Beginning with Windows XP all the Microsoft Windows OS's support the ZIP file compression format; no additional software is required to extract the contents of such archive types.
Without a valid key file, or if the file has expired, all anti-virus components are disabled. The user may only launch the automatic updating utility to register and obtain a key file (for Dr.Web for workstations only).
It is recommended to keep the key file till its expiry. If the anti-virus is re-installed, or installed on several computers, another registration of the serial number is not required. Then the key file received during the first registration is to be used. If the key file is lost, you should register again. In this case, type the personal data specified during the first registration. You may specify a different e-mail address, then the key file will be sent to a new e-mail address.
The number of requests for a key file is limited. One user can register a serial number not more than 25 times. In case of more requests the key file will not be sent. To receive a key file, contact the Technical Support Service at http://support.drweb.com/request/ (when applying, describe in detail what is happening, specify your personal data entered during the registration and the serial number). The key file will be sent to you by the Technical Support Service by e-mail.


SpIDer Guard

By default, one of the two Guard’s versions is installed depending on the OS used:

for Windows 95/98/Me
for Windows NT/2000/XP/2003/Vista.

By default, the Guard is loaded automatically at every Windows launch. Being loaded automatically, the Guard cannot be unloaded during the current Windows session (see Setting and Managing the Guard). If necessary, (for example, when a task consuming too much processor resources is performed in a real time mode) you can suspend the scanning by the Guard.

With the default settings, the Guard checks opened files “on the fly” (files on the hard drive are checked only when they are created or opened for recording; all files on removable media are always scanned). It scans files similarly to the Scanner (with “milder” scan settings, though). Besides, the Guard constantly traces the actions of activated processes peculiar to viruses, and if such processes are found, it blocks them and notifies the user about it.

By default, in Dr.Web for workstations the Guard only informs the user about the detection of infected objects and offers to decide what action should be taken. The Guard supplied with Dr.Web for Windows servers, by default, automatically makes attempts to avert the virus threat.

By changing the corresponding settings you can set the automatic reaction of the program to different virus events; in this case the Guard doesn't ask user's instruction how to treat detected objects and operates fully in the background mode. The user can monitor its activity by means of the statistics window and the log file.

In Windows NT/2000/XP/2003/Vista the user should have the administrator's rights to be able to upgrade the Dr.Web version.

When SpIDer Guard is installed, in Windows Control Panel a SpIDer Guard element is created. It contains settings specific to the Windows NT/2000/XP/2003/Vista environment. These settings can also be customized from the context menu of the SpIDer Guard's icon.

The settings can only be accessed by a user possessing the administrator's rights to the computer; in particular, such user can remove the SpIDer Guard's icon from the Taskbar.


 Setting and Managing the Guard

Setting and Managing the Guard

After the installation the SpIDer Guard’s icon resembling a spider is added to the Taskbar. The icon's appearance depends on the Guard's running state:

SpIDer Guard is launched and running in a standard mode;

Scanning by SpIDer Guard is suspended;

SpIDer Guard is not active and its operation is impossible;

The Guard's running state is also reflected in the Status field at the Control tab.

When you hover the mouse cursor over the icon, a pop-up window with SpIDer Guard statistics, the date of the last update and the number of virus records in the database appears. Also, if the virus databases have not been updated for 7 days or more, then a warning is generated above the icon every hour. Besides, if the Acknowledge=Yes mode is specified in the configuration file (it is by default), pop-up windows may also appear:

when there is an update available,
when some action over an infected or suspicious object was made (only if in the SpIDer Guard’s Control Panel the When to send a notification mode is enabled)

The context menu of the SpIDer's icon provides basic means to set up and control its operation.

The Statistics command opens a window containing information about the Guard's performance within the current session (the number of checked, infected and suspicious objects, actions taken, etc).

The Settings command provides access to the major part of adjustable parameters of the program.

If using Windows Vista then access to the SpIDer Guard settings is allowed only for users with administrator rights.

The Control command opens the Control Panel of SpIDer Guard for Windows. (Only users with administrator rights are allowed to access the Control Panel).

The Language command allows to change the language of the program’s interface.

The Pause command allows to suspend scanning. (Only users with administrator rights are allowed to temporarily disable SpIDer Guard).

The Scheduler, Update and Scanner commands launch the correspondent components.

The My Dr.Web command opens your personal page on the Doctor Web, Ltd. web site. On this page you can find information on your license (expiry date, serial number), renew it, see the date of the last update of the anti-virus complex, etc.

The About... command opens a window with information about the license (its number, owner and validity period), the program's components and virus databases (time and date of the last update, total number of signatures in the virus databases, etc.

The Help... command activates the SpIDer Guard's help file.

The License purchase/renewal command opens the page of the website of Doctor Web, Ltd. (or its regional representative) where the terms of purchase and renewal are stated (if connected to the Internet).

The Register command starts the registration procedure for the user to be able to receive a key file from the server of Doctor Web, Ltd. If 10 days or more till the key file expiry is left, this command can be disabled or unavailable at all.


 Load Modes of SpIDer Guard

Load Modes of SpIDer Guard

After installation the anti-virus is launched automatically at each operation system's start according to its standard settings. However you can cancel the automatic load mode of SpIDer Guard and run it manually.

To disable SpIDer Guard's automatic load:

1. In the Taskbar right-click the SpIDer Guard's icon and on the context menu click Control.

Only users with administrator rights are allowed to access the Control Panel.

2. In the Control pane under Load mode, click Manual load mode.

3. Click OK.

At the next Windows starts the program will not be loaded automatically. If necessary, it can be loaded manually, by clicking Load in the pane described above. The Guard started in the Manual load mode can be terminated by clicking Unload.

For more details on the settings specified in this pane click the correspondent fragment of the window in the picture.


 Performance Statistics

Performance Statistics

Performance statistics displays information about the program's operation results during the current session. To view the statistics, double-click the SpIDer Guard's icon in the system tray, or right-click the icon and click Statistics on the opened context menu.

For more details on any event, object or action specified in this window click the correspondent fragment of the window in the picture.


Settings Menu

If using Windows Vista then access and adjustment of the SpIDer Guard settings is allowed only for users with administrator rights.

To modify the program’s settings:

1. On the context menu of the Guard, click Settings. The settings window containing several panes will open.

2. Modify them as necessary.

3. After editing, click OK to save the changes made or Cancel to cancel the changes.


 Scan Options Tab

Scan Options Tab

In this pane the scan mode of files and processes of the protected computer is set.

In the On-access scan mode option group you can set up what actions with files require scanning "on-the-fly".

By default, the Smart mode is selected. In this mode files and boot sectors of the computer's hard drives are scanned only if an attempt to create a file, or to write a record to an existing file (a boot sector) is traced, the files and boot sectors of removable devices are also scanned if they are opened for reading or launching a program. Files of launched processes are also scanned. This mode is recommended after a thorough scanning of all hard drives by Dr.Web Scanner for Windows. With this mode activated the penetration of new viruses into a computer via removable devices will be excluded, and knowingly "clean" objects will not be scanned repeatedly.

Or you can enable the Other mode. In this case by selecting the Run and open files check box you activate checking of all files and boot sectors opened for reading and launching a program. Selecting the Create and write files check box enables checking of attempts to create files or to write a record to existing files. With the help of these check boxes you can individually set the level of your computer's protection. The two check boxes selected at the same time provide for the maximum level of protection, but considerably increase the load on the computer.

By default, the enhanced protection mode is disabled. In this mode SpIDer Guard immediately checks all files, the scanning of which is specified in the program’s settings, and all other opened files are put on the queue for check (files opened for reading in the Smart and Create and write files modes). With computer resources available, the Guard will also check these files.

To enable this mode clear the Disable enhanced protection mode check box.

For more details on the settings specified in this pane click the correspondent fragment of the window in the picture.

To view parameters set at another tab click the name of this tab.


 File Types Tab

File Types Tab

In this pane additional restriction to the file types to be scanned according to the settings set in the Scan options tab can be specified.

By default, the All files mode of selection of files for checking is enabled. The mode provides for the maximum protection (see the Scan Options tab).

The All files mode provides for maximum protection, but considerably increases the consumption of the system resources and the possibility of false positives of the heuristic analyzer (see the Scan options tab).

The Selected types and the By file name mask modes instruct to scan only the files the names of which are included into the list in the right part of the pane. By default, this list includes extensions of main file types that can be carriers of viruses and of main types of archives. You can edit this list.

The scanning mode of file archives and mail files is also set in this pane. File archives are not scanned by default even if an extension or a file mask matching an archive type are specified in the list of file types or masks to be checked (if a file inside an archive is infected, the Guard will detect the virus at unpacking the file from the archive before the danger of infecting the PC appears). Enabling this mode will substantially decrease computer's performance.

Mailboxes are not scanned by default (if a file inside a mail attachment is infected, the Guard will detect the virus at extracting the file before the danger of infecting the PC appears). Enabling this option will exceptionally decrease computer's performance. To avoid the penetration of viruses through e-mail messages use SpIDer Mail.

For more details on the settings specified in this pane click the correspondent fragment of the window in the picture.

To view parameters set at another tab click the name of this tab.


 Actions Tab

Actions Tab

In this pane the program’s reactions to the detection of infected or suspicious files, malicious programs and infected archives are set.

The reaction is assigned separately for objects infected with a known and (supposedly) curable virus, for supposedly infected (suspicious) objects, and for certain types of malicious programs and archives.

All types of objects are represented in the hierarchy tree in the left part of the pane. When an object is chosen, the default program’s reaction to its detection is displayed in the right part of the pane. The action specified in the current settings is shown, and the action to be taken if the first action fails.

By default, the Guard in Dr.Web for workstations just informs the user about all infected and suspicious objects. The Guard generates a dialog box requesting the user to select an action, in which the necessary program’s action can be manually specified .

The Guard in Dr.Web for Windows servers, if a known virus is detected, or if there is a suspicion an object is infected with a virus, by default, will automatically make attempts to avert the virus threat.

If a joke program, or riskware, or hacktool is detected, the default setting is to ignore.

If an adware or dialer is detected, the Guard in Dr.Web for Windows servers, by default, will move it to the quarantine. And the Guard in Dr.Web for workstations will notify the user about it.

You can specify separate program’s reactions to the detection of each type of objects.

To customize the primary action, in the Primary action drop-down list select an initial program’s action. Click Change to instruct the program to use in future the reaction selected by you.

Depending on the type of object the following actions can be set from the list:

Cure – (accessible only for Infected objects) instructs the Guard to try to cure objects infected with a known virus.
Move to quarantine – instructs to move infected or suspicious objects to the quarantine folder specified in the Quarantine path field (by default, it is the infected.!!! subfolder in the program’s installation folder).
Rename – instructs to rename the extension of infected or suspicious objects according to the mask specified in the Rename extension field (by default, it is #??, i.e. to replace the first character of the extension with #).
Delete – instructs to delete infected or suspicious objects (for boot sectors no actions are applied).
By default, the program does not check file archives and the Delete action is disabled for them. If the file archives check is enabled (this type of check will substantially degrade computer's performance), you can enable the Delete action for archives. To do this, open the program’s configuration file (this is drweb32.ini in the program’s installation folder) in a text editor, add a string EnableDeleteArchiveAction=Yes in the [SpIDerGuardNT] section (if such line already exists, replace No with Yes) and save the file.
Files inside archives cannot be treated separately. If the Delete action is selected for an archive, the whole archive will be deleted.
Report – instructs to inform the user an object is detected (in a dialog box requesting the user to select an action).
Block – instructs to block access to files which were detected by the Guard. Access to these files is unblocked after the computer restarts or if SpIDer Guard is temporarily suspended.
Ignore – instructs to abstain from any action if a suspicious object is found.

In the What to do if the (primary) action failed fields the following possible first actions are listed: curing, moving to the quarantine, deletion. From respective drop-down lists you can select another action to be applied if the specified primary action fails.

For more details on the settings specified in this pane click the correspondent fragment of the window in the picture.

To view parameters set at another tab click the name of this tab.


 Log File Tab

Log File Tab

In the log file pane the mode of keeping records in the log file is set.

The Write log file check box is selected by default.

You can specify the name and the location of the log file, the text encoding, the log mode (to add new entries to the end of the log file or to overwrite the file at the beginning of each session), and the level of detail of the log. You can also specify whether the size of the log file should be limited or not, and specify the maximum size value.

It is strongly recommended to keep a log file and analyze it periodically.

For more details on the settings specified in this pane click the correspondent fragment of the window in the picture.

To view parameters set at another tab click the name of this tab.


 Exclusions Tab

Exclusions Tab

In this pane folders and files to be excluded from checking are specified.

In the Folders and files to exclude field the list of folders and files to be excluded from scanning can be set. These can be the quarantine folder of the anti-virus, some program folders, temporary files (swap files), etc.

To add a file, folder or mask to the list type its name into the entry field and click Add. To enter an existing file name or folder you can click the [image] button to the right and select the object in a standard file browsing window.

When you specify names of folders or files using special characters ? and *, select the Allow wildcards check box.

To add files without entering paths to them into the list, select the Allow relative file names check box.

To remove a file or folder from the list select it in the list and click Remove.

For more details on the settings specified in this pane click the correspondent fragment of the window in the picture.

To view parameters set at another tab click the name of this tab.


 Control Tab

Control Tab

Only users with administrator rights are allowed to access the Control Panel.

The Control Panel can be accessed from the context menu of the SpIDer Guard's icon in the Taskbar (select Control on the menu) or from Windows Control Panel (double-click the SpIDer Guard's icon).

In this pane of the SpIDer Guard's Control Panel the load mode of the Guard is specified, and the program's registration as a service is performed or canceled.

You can choose the program's load mode in the Load mode area.

If Automatic load mode is selected, the Guard is loaded automatically at every Windows launch.

If Manual load mode is selected, you can terminate the Guard by clicking Unload. To launch the Guard in this mode click Load.

To register the Guard in the operation system, click Install, to cancel the registration – click Uninstall.

For more details on the settings specified in this pane click the correspondent fragment of the window in the picture.

To view parameters set at another tab click the name of this tab.


 Options Tab

Options Tab

Only users with administrator rights are allowed to access the Control Panel.

The Control Panel can be accessed from the context menu of the SpIDer Guard's icon in the Taskbar (select Control on the menu) or from Windows Control Panel (double-click the SpIDer Guard's icon).

In this pane of the SpIDer Guard Control Panel some settings of the Guard are set.

For more details on the settings specified in this pane click the correspondent fragment of the window in the picture.

To view parameters set at another tab click the name of this tab.


 Notifications Tab

Notifications Tab

Top Previous

Only users with administrator rights are allowed to access the Control Panel.

The Control Panel can be accessed from the context menu of the SpIDer Guard's icon in the Taskbar (select Control on the menu) or from Windows Control Panel (double-click the SpIDer Guard's icon).

In this pane of the SpIDer Guard's Control Panel, notifications about detected virus events are customized. You can edit the list of events to cause notifications, the way of their dispatch and the list of recipients.

The list of events is set by any combination of the check boxes in the When to send a notification area. Notifications can be sent by e-mail or via the network (read below), or appear as pop-up windows near the SpIDer Guard's icon in the Taskbar (if the Acknowledge=Yes mode is specified in the configuration file).

Select the Send E-mail notification check box, if you want notifications about the selected events to be sent via e-mail. Select the Send message notification check box, if you want notifications about the selected events to be sent via the local network (the check boxes can be selected independently). After that you should create (edit) the list of recipients of the notifications via the selected means of dispatch.

To add a new address to the list of e-mail recipients or the list of message recipients in the local network, click Add to the right of the respective list. Correspondingly, a window to enter/edit e-mail addresses or to enter/edit computer network addresses will open.

To delete an element from any list select it in the list and click Remove.

To edit any element in the list select it in the list and click Edit. The window to enter/edit e-mail addresses or to enter/edit computer network addresses will open.

For more details on the settings specified in this pane click the correspondent fragment of the window in the picture.

To view parameters set at another tab click the name of this tab.


.topic 2155152475
In the drop down list, select the first program’s reaction to the detection of an object from the selected category
.topic 2154169380
Click this button to add a new address to the list of e-mail notification recipients. A window to enter an e-mail address will be opened
.topic 2154365937
Click this button to add the element specified in the entry field into the list
.topic 2154169381
Click this button to add a new address to the list of recipients to whom messages will be sent via the local network.  A window to enter an address in the local network will be opened
.topic 2154366061
Select the check box to enable specifying files to be excluded from scanning without giving the paths
.topic 2154366060
The programs of the Dr.Web package use special characters ? and * (also called mask characters) to define groups of files and folders corresponding to definite patterns (mask). Select the check box to enable the use of masks when specifying a filename or folder
.topic 2154300397
Select this option button, if the server supports the CRAM-MD5 password encryption algorithm
.topic 2154300396
Select this option button, if the server supports the plain text password encryption algorithm
.topic 2154038257
Select this option button to enable automatic loading of SpIDer Guard  at system start. With this option selected, the Load and Unload buttons and functions are not available
.topic 2155152488
Program’s reaction to the detection of an object from the category selected in the list: the action specified by the current settings and the action to be taken if the first reaction fails
.topic 2154038253
Open a window to browse for the SpIDer Guard installation folder
.topic 2154103812
If this check box is selected, SpIDer Guard will ask  the user to confirm changes made in the Dr.Web configuration file
.topic 2154169323
With the Create and write files check box selected new created files are checked, as well as files opened for editing. Launched programs are not scanned
.topic 2154432519
Select an action to be applied if curing fails
.topic 2155152480
Select an action to be applied if curing fails
.topic 2154431620
Object being checked now
.topic 2155152476
Click this button to load the default settings to be applied upon the detection of this type of objects
.topic 2154365938
Select an object to be deleted in the list and click this button
.topic 2154432518
Select an action to be applied if deletion fails
.topic 2155152483
Select an action to be applied if deletion fails
.topic 2154169455
If enhanced protection is enabled, the Guard immediately scans all files the scanning of which is set by the program, other opened files are put on the queue for scanning. To enable this modeclear the check box

.topic 2154103790
Select the check box to disable scanning network drives and thus spare computer resources
.topic 2154103803
Select this check box to disable scanning of objects on removable media (diskettes, CD-ROM, flash-cards, etc.)
.topic 2154169339
Select the address you want to edit in the list and click this button. A window to edit the address analogous to the new addresses entry window will open
.topic 2154169384
Select the address you want to edit in the list and click this button. A window to edit the address analogous to the new addresses entry window will open
.topic 2154169336
The list of e-mail addresses to which messages regarding the selected events are to be sent. The list is linked to the list of notification recipients in the local network so that only one element can be selected on the two lists at the same time (it is this element to which the Edit and Remove buttons are applied)
.topic 2154169328
Send notifications on the virus situation by e-mail
.topic 2154169335
Send notifications on the virus situation via the Microsoft network messaging service
.topic 2154169338
Select this check box to register sending of notifications in the system log
.topic 2154365995
Open a standard window for browsing for files or folders
.topic 2154365994
Enter an element you want to add to the list
.topic 2154365935
This list contains folders and files to be excluded from scanning
.topic 2154300425
Specify the address in this field which will appear in the notifications of the virus situation as the sender’s address (the From: field of a standard message heading)
.topic 2154169324
Enable heuristic analysis?
.topic 2154038255
This button allows to register SpIDer Guard in the operation system (Install) or cancel registration (Uninstall)
.topic 2154038252
If necessary, specify the path to the SpIDer Guard installation folder
.topic 2154431489
Quantity of suspicious actions noticed by the virus-like activity analyzer. Non-zero values may reflect both the presence of unknown viruses and the "suspicious" behaviour of a number of specific non-virus applications
.topic 2154431602
Average scanning speed (KB/s)
.topic 2154431490
Quantity of successfully cured objects
.topic 2154431621
Checked object’s size
.topic 2154431491
Quantity of deleted files
.topic 2154431486
Quantity of objects infected by known "standard" viruses
.topic 2154431604
Size of the last object scanned by the Guard
.topic 2154431601
Guard’s speed at scanning the last object (KB/s)
.topic 2154431606
Time of scanning the last object
.topic 2154431494
Quantity of access denials to objects
.topic 2154300470
Specify a maximum log file size in kilobytes
.topic 2154431487
Quantity of objects infected by modifications of "standard" viruses
.topic 2154431493
Quantity of moved files
.topic 2154431492
Quantity of renamed objects
.topic 2154431485
Total quantity of scanned objects (files and boot sectors)
.topic 2154431488
Quantity of suspicious objects
.topic 2154431623
Quantity of objects put on the queue for check
.topic 2154431614
Total size of all objects scanned during the current session
.topic 2154431615
Total scanning time
.topic 2154038254
This button allows to run SpIDer Guard (Load) or terminate SpIDer Guard (Unload). It is available only if the Guard was loaded in the manual mode
.topic 2154300462
Log the names of the archivers having created scanned archives
.topic 2154300459
Specify the path to and the name of the log file in the entry field or click  to select this file in a standard file browsing window
.topic 2154300457
Keep a log file?
.topic 2154300466
Specify the maximum log file size in kilobytes
.topic 2154300464
Keep logs in OEM (DOS)
.topic 2154300463
Overwrite the log file at Guard’s launch
.topic 2154300461
Log the names of the packers of packed executable files
.topic 2154300458
Specify the path to and the name of the log file in the entry field or click this button to select this file in a standard file browsing window
.topic 2154300460
Log the names of all scanned objects (not only of the objects the program has reacted to). This will considerably increase the log file
.topic 2154300465
If the Limit the log file size check box is selected, the log file size will not exceed the size indicated in the entry field below. If the file size limit is exceeded, the log file is cleared and information is logged at the beginning
.topic 2154038256
Select this option button to disable automatic loading of SpIDer Guard  at system start (with this option selected, to start/ terminate the program use the Load / Unload button)
.topic 2154169337
The list of addresses in the local Microsoft network to which messages regarding the selected events are to be sent. The list is linked to the list of e-mail recipients so that only one element can be selected on the two lists at the same time (it is this element to which the Edit and Remove buttons are applied)
.topic 2154234919
Click the button to find a computer via the Network Explorer
.topic 2154234878
Enter a computer network address
.topic 2154169331
Notify about incurable objects. The notifications can be sent by e-mail or via the network, or appear as pop-up windows near the SpIDer Guard's icon in the Taskbar (if the Acknowledge=Yes mode is specified in the configuration file)
.topic 2154169330
Notify about infected objects. The notifications can be sent by e-mail or via the network, or appear as pop-up windows near the SpIDer Guard's icon in the Taskbar (if the Acknowledge=Yes mode is specified in the configuration file)
.topic 2154169332
Notify about detecting a suspicious object. The notifications can be sent by e-mail or via the network, or appear as pop-up windows near the SpIDer Guard's icon in the Taskbar (if the Acknowledge=Yes mode is specified in the configuration file)
.topic 2155152487
Program’s reaction to the detection of an object from the category selected in the list: the action specified by the current settings and the action to be taken if the first reaction fails
.topic 2155152474
Select a type of object in the list, to set the necessary program’s reaction to its detection
.topic 2154169321
Use other "on-the-fly" scanning settings different from the Smart mode
.topic 2154300395
Type a password for authorization to the SMTP server
.topic 2154169386
By default, sound effects are disabled. To enable sound reactions select the Play sounds check box
.topic 2155152467
In the entry filed specify the folder where infected files are to be moved to. By default, it is infected.!!! (created in the program's installation folder). You can type the path and the name of a specific folder in the entry field, or click the button to the right of the entry field to select it from the standard Windows folder tree
.topic 2155152484
In the entry filed specify the folder where infected files are to be moved to. By default, it is infected.!!! (the folder is created in the program's installation folder). You can type the path and the name of a specific folder in the entry field, or click the button to the right of the entry field to select it from the standard Windows folder tree
.topic 2155152470
Select an action to be applied if moving to the quarantine fails
.topic 2155152481
Select an action to be applied if moving to the quarantine fails
.topic 2154103791
By moving the slider set the size of the checked files list. Unless changed, these files will not be scanned again. By default, the parameter value is set to 100, which corresponds to approximately 9 KB of required memory per each logical drive. If the system has enough available memory, it is worthwhile increasing the parameter value to 500-1000. The parameter is applicable to the "Run and open files" check mode and to the "Smart" mode, when files on network volumes and removable media are scanned
.topic 2154169340
Select the address you want to remove from the list and click this button
.topic 2154169385
Select the address you want to remove from the list and click this button
.topic 2154103802
Select an action to be applied if renaming fails
.topic 2155152468
In the entry field specify an extension mask applied to renamed files. The extension can be changed, but standard extensions (EXE, COM, BAT, DOC, PAS, BAS, etc.) should not be used instead. By default, it is #??, i. e. the first character of the extension is replaced with #. You can also type your own variant into the entry field in question. This mode is inapplicable to boot records
.topic 2155152485
In the entry field specify an extension mask applied to renamed files. The extension can be changed, but standard extensions (EXE, COM, BAT, DOC, PAS, BAS, etc.) should not be used instead. By default, it is #??, i. e. the first character of the extension is replaced with #. You can also type your own variant into the entry field in question. This mode is inapplicable to boot records
.topic 2155152482
Select an action to be applied if renaming fails
.topic 2154300426
Specify the address in this field to which the mail program of the recipient of messages regarding the virus situation is to send replies (the Reply To: field of a standard message heading)

.topic 2154169322
Scan all files opened for reading and launched programs?
.topic 2154103814
If monitoring was disabled during the current Guard's session (the Disable monitoring command on the Guard's menu) keep the "Monitoring Disabled" mode after reboot
.topic 2154169456
Check program files running at present or not
.topic 2154169454
Scan startup files (in the Startup folder, system ini-files, Windows registry)
.topic 2154169326
Check at system shutdown whether a floppy is left in the disk drive, and, if positive, scan it for viruses (if the floppy is infected the PC may become infected at the next start)
.topic 2155152489
Opens a standard window to browse for a folder where infected, incurable or suspicious objects are to be moved to
.topic 2155152478
In the drop down list, select the first program’s reaction to the detection of an object from the selected category
.topic 2155152490
Click this button to instruct the program to use the reaction selected by you in future
.topic 2155152469
Select the check box if you want the SpIDer Guard's icon to be in the Taskbar, it will enable you to change the program’s settings via the icon’s context menu
.topic 2154169320
Scan only created or changed files on fixed disks (hard drive partitions of a PC), check all opened files on removable media (diskettes, compact disks) and network drives. Thus, files on fixed disks are checked only once, when they are created (or changed)
.topic 2154300393
Select this check box if authorization is required on the SMTP server
.topic 2154300423
Specify the domain or the IP-address of the SMTP server (the server of outgoing mail)
.topic 2154300424
Specify the port used by the SMTP server
.topic 2154431504
Quantity of suspicious actions noticed by the virus-like activity analyzer. Non-zero values may reflect both the presence of unknown viruses and the "suspicious" behaviour of certain specific  non-virus applications
.topic 2154431613
Average scanning speed (KB/s)
.topic 2154431505
Quantity of successfully cured objects
.topic 2154431622
Checked object’s size
.topic 2154431506
Quantity of deleted files
.topic 2154431501
Quantity of objects infected by known "standard" viruses
.topic 2154431616
Size of the last object scanned by the Guard
.topic 2154431513
Guard’s speed at scanning the last object (KB/s)
.topic 2154431509
Quantity of access denials to objects
.topic 2154431502
Quantity of objects infected by modifications of "standard" viruses
.topic 2154431508
Quantity of moved files
.topic 2154431507
Quantity of renamed objects
.topic 2154431500
Total quantity of scanned objects (files and boot sectors)
.topic 2154431503
Quantity of suspicious objects
.topic 2154431624
Quantity of objects put on the queue for check
.topic 2154431618
Total size of all objects scanned during the current session
.topic 2154431619
Total scanning time
.topic 2154103832
By moving the slider set the size of the checked files list. Unless changed, these files will not be scanned again. By default, the parameter value is set to 100, which corresponds to approximately 9 KB of required memory per each logical drive. If the system has enough available memory, it is worthwhile increasing the parameter value to 500-1000. The parameter is applicable to the "Run and open files" check mode and to the "Smart" mode, when files on network volumes and removable media are scanned
.topic 2154300446
Specify the address in this field which will appear in the notifications of the virus situation as the sender’s address (the From: field of a standard message heading)
.topic 2154300444
Specify the domain or the IP-address of the SMTP server (the server of outgoing mail)
.topic 2154103810
By moving the slider set the size of the checked files list. Unless changed, these files will not be scanned again. By default, the parameter value is set to 100, which corresponds to approximately 9 KB of required memory per each logical drive. If the system has enough available memory, it is worthwhile increasing the parameter value to 500-1000. The parameter is applicable to the "Run and open files" check mode and to the "Smart" mode, when files on network volumes and removable media are scanned
.topic 2154234906
Enter a computer network address
.topic 2154300404
Enter a password for authorization to the SMTP server
.topic 2154038288
If necessary, specify the path to the SpIDer Guard's installation folder
.topic 2154300445
Specify the port used by the SMTP server
.topic 2154103811
By moving the slider set the size of the checked files list. Unless changed, these files will not be scanned again. By default, the parameter value is set to 100, which corresponds to approximately 9 KB of required memory per each logical drive. If the system has enough available memory, it is worthwhile increasing the parameter value to 500-1000. The parameter is applicable to the "Run and open files" check mode and to the "Smart" mode, when files on network volumes and removable media are scanned
.topic 2154300402
Specify, if necessary, the subject of messages regarding virus events (the Subject: field of a standard message header). Leave the field empty to use the default subject
.topic 2154300443
Specify the address to which notifications regarding the virus situation are to be sent (the To: field of a standard message heading)
.topic 2154300403
Type a user name and a password for authorization to the SMTP server
.topic 2154038296
This field contains information about the installation of the Guard and its current state.
.topic 2154300401
Specify, if necessary, the subject of messages regarding virus events (the Subject: field of a standard message header). Leave the field empty to use the default subject
.topic 2154300422
Specify the address to which notifications regarding the virus situation are to be sent (the To: field of a standard message heading)
.topic 2154234915
By clicking this button you add the extension or the file mask specified in the entry field to the list
.topic 2154234907
Select this option to enable scanning of all files (except for those excluded from scanning).
.topic 2154234911
Select the check box to scan files in archives (such scanning may considerably slow down computer's performance)
.topic 2154234917
Click this button to restore the default list (the list contains main extensions of executable and archived files)
.topic 2154234920
The list contains file name masks and file extensions to be scanned by the Guard. The masks can have special characters * and ?.
In the entry field, depending on the type of scanning selected, you can type an extension or a mask of files to be scanned
.topic 2154234913
Select the check box to check mail boxes of e-mail clients. This check may considerably slow down computer's performance and result in conflicts in the work of e-mail clients; that is why it is recommended to check mail traffic with the SpIDer Mail monitor before the mail client receives mail, or use Doctor Web Scanner for scanning of e-mail files
.topic 2154234914
The list contains file name masks and file extensions to be scanned by the Guard. The masks can have special characters * and ?.
In the entry field, depending on the type of scanning selected, you can type an extension or a mask of files to be scanned
.topic 2154234909
This option is analogous to Selected types, but allows to select files not only by extensions, but also by file name masks
.topic 2154234916
By clicking this button you remove the extension or the file mask specified in the entry field from the scanning list
.topic 2154234908
Check the files the extensions of which are included into the list of extensions selected by the user.
Special characters * and ? may be used to specify an extension mask. The program keeps a list with main extensions of executable and archive files by default. You can edit the list
.topic 2154300399
Select this check box to use a secure connection
.topic 2154300394
Type a user name and a password for authorization to the SMTP server
.topic 2154038258
No Help topic is provided for this field


Dialog Box Requesting the User to Select an Action

Top

This window is opened if the Guard detects an infected or suspicious object, if in the program’s settings the reaction is set to inform.

The set of accessible buttons depends on the type of virus event and the type of infected object (for archives, mail files and file containers some reactions are inaccessible).

The Cure button (accessible only if a supposedly curable virus is found, and is inaccessible for archives of any type) instructs the Guard to cure the object infected by a known virus. If the virus is incurable, or the curing fails, the window will open again with options for incurable viruses.

The Delete button instructs to delete the infected or suspicious file (for boot sectors no actions will be taken). With the default settings, it is inaccessible for all types of archives.

The Rename button instructs to rename the extension of the infected or suspicious file according to the default settings.

The Move to button instructs to move the infected or suspicious file to the default quarantine folder.

The Lock button instructs to block access to a file after checking which the Guard has reacted. Access to the file is unblocked after computer restart only.

The Ignore button instructs to abstain from any action if a suspicious object is found.


 Enter/Edit E-Mail Addresses Window

Enter/Edit E-Mail Addresses Window

Top

In this window you can specify an e-mail address to add it into the list of notification recipients, as well as mail settings for the given address.

For more details on the settings specified in this window click the correspondent fragment of the window in the picture.


 Enter/Edit Computer Network Addresses Window

Enter/Edit Computer Network Addresses Window

Top

In this window you can specify a computer address in a Microsoft network to add it into the list of notification recipients.

Type a computer network address or click Browse to find a computer via the Network Explorer.


Suspend scanning by the Guard

Top

Users of SpIDer Guard can suspend anti-virus checking of files by the Guard.

When the Guard’s functions are suspended, the blocking of files set in accordance with the reaction settings specified for the virus events is removed.

Be extremely cautious when using this option! Avoid connecting to the Internet and do not read files from removable media not checked by the Scanner while the Guard’s functions are disabled!

To disable the Guard’s functions click Pause on the context menu of the SpIDer Guard’s icon. To restore the Guard’s functions click Resume.

If the icon is not visible in the Taskbar, a user possessing the administrator’s rights should make the icon visible.